Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.opensymphony.xwork2.util.finder
Class DefaultClassFinder.InfoBuildingVisitor

    java.lang.Object
      org.objectweb.asm.commons.EmptyVisitor
          com.opensymphony.xwork2.util.finder.DefaultClassFinder.InfoBuildingVisitor

All Implemented Interfaces:
  org.objectweb.asm.AnnotationVisitor, org.objectweb.asm.ClassVisitor, org.objectweb.asm.FieldVisitor, org.objectweb.asm.MethodVisitor

Enclosing class:
  DefaultClassFinder

    public class DefaultClassFinder.InfoBuildingVisitor

extends org.objectweb.asm.commons.EmptyVisitor

Constructor Summary
`DefaultClassFinder.InfoBuildingVisitor(ClassFinder.Info info, ClassFinder classFinder)`
`DefaultClassFinder.InfoBuildingVisitor(ClassFinder classFinder)`

Method Summary
`void` | `visit(int version, int access, String name, String signature, String superName, String[] interfaces)`
`org.objectweb.asm.AnnotationVisitor` | `visitAnnotation(String desc, boolean visible)`
`org.objectweb.asm.FieldVisitor` | `visitField(int access, String name, String desc, String signature, Object value)`
`org.objectweb.asm.MethodVisitor` | `visitMethod(int access, String name, String desc, String signature, String[] exceptions)`
`org.objectweb.asm.AnnotationVisitor` | `visitParameterAnnotation(int param, String desc, boolean visible)`

Methods inherited from class org.objectweb.asm.commons.EmptyVisitor
`visit, visitAnnotation, visitAnnotationDefault, visitArray, visitAttribute, visitCode, visitEnd, visitEnum, visitFieldInsn, visitFrame, visitIincInsn, visitInnerClass, visitInsn, visitIntInsn, visitJumpInsn, visitLabel, visitLdcInsn, visitLineNumber, visitLocalVariable, visitLookupSwitchInsn, visitMaxs, visitMethodInsn, visitMultiANewArrayInsn, visitOuterClass, visitSource, visitTableSwitchInsn, visitTryCatchBlock, visitTypeInsn, visitVarInsn`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultClassFinder.InfoBuildingVisitor

    public DefaultClassFinder.InfoBuildingVisitor(ClassFinder classFinder)

### DefaultClassFinder.InfoBuildingVisitor

    public DefaultClassFinder.InfoBuildingVisitor(ClassFinder.Info info,
                                                  ClassFinder classFinder)

Method Detail

### visit

    public void visit(int version,
                      int access,
                      String name,
                      String signature,
                      String superName,
                      String[] interfaces)

  Specified by:
    `visit` in interface `org.objectweb.asm.ClassVisitor`
  Overrides:
    `visit` in class `org.objectweb.asm.commons.EmptyVisitor`

### visitAnnotation

    public org.objectweb.asm.AnnotationVisitor visitAnnotation(String desc,
                                                               boolean visible)

  Specified by:
    `visitAnnotation` in interface `org.objectweb.asm.ClassVisitor`
  Specified by:
    `visitAnnotation` in interface `org.objectweb.asm.FieldVisitor`
  Specified by:
    `visitAnnotation` in interface `org.objectweb.asm.MethodVisitor`
  Overrides:
    `visitAnnotation` in class `org.objectweb.asm.commons.EmptyVisitor`

### visitField

    public org.objectweb.asm.FieldVisitor visitField(int access,
                                                     String name,
                                                     String desc,
                                                     String signature,
                                                     Object value)

  Specified by:
    `visitField` in interface `org.objectweb.asm.ClassVisitor`
  Overrides:
    `visitField` in class `org.objectweb.asm.commons.EmptyVisitor`

### visitMethod

    public org.objectweb.asm.MethodVisitor visitMethod(int access,
                                                       String name,
                                                       String desc,
                                                       String signature,
                                                       String[] exceptions)

  Specified by:
    `visitMethod` in interface `org.objectweb.asm.ClassVisitor`
  Overrides:
    `visitMethod` in class `org.objectweb.asm.commons.EmptyVisitor`

### visitParameterAnnotation

    public org.objectweb.asm.AnnotationVisitor visitParameterAnnotation(int param,
                                                                        String desc,
                                                                        boolean visible)

  Specified by:
    `visitParameterAnnotation` in interface `org.objectweb.asm.MethodVisitor`
  Overrides:
    `visitParameterAnnotation` in class `org.objectweb.asm.commons.EmptyVisitor`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000–2017 Apache Software Foundation. All rights reserved.